## ros-rolling-fuse-doc 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(fuse_doc)

find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-rolling-fuse-doc (1.0.1-2jammy) jammy; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Fri, 03 Mar 2023 08:00:00 -0000

ros-rolling-fuse-doc (1.0.0-2jammy) jammy; urgency=high

  * fuse -> ROS 2 : Doc Generation (#278 <https://github.com/locusrobotics/fuse/issues/278>)
    * Port doc generation and fix package.xml for linting
    * Fix small bugs in package.xml
    * Use default rosdoc2 settings
    * Use default rosdoc2 settings
    * Update fuse_doc for rosdoc2
    ---------
    Co-authored-by: Shane Loretz <mailto:sloretz@google.com>
  * fuse -> ROS 2 fuse_tutorials: Port fuse_tutorials (#309 <https://github.com/locusrobotics/fuse/issues/309>)
    Co-authored-by: Shane Loretz <mailto:shane.loretz@gmail.com>
  * fuse -> ROS 2 fuse_core: Linting (#292 <https://github.com/locusrobotics/fuse/issues/292>)
  * fuse -> ROS 2 fuse_msgs : Port package and ignore unported packages for now (#277 <https://github.com/locusrobotics/fuse/issues/277>)
    Co-authored-by: Tom Moore <mailto:tmoore@locusrobotics.com>
  * Adding doxygen to all packages (#241 <https://github.com/locusrobotics/fuse/issues/241>)
  * Contributors: Tom Moore, methylDragon

 -- Stephen Williams <swilliams@locusrobotics.com>  Fri, 03 Mar 2023 08:00:00 -0000

ros-rolling-fuse-doc (0.4.2-2jammy) jammy; urgency=high

  * Adding roslint dependency to fuse_viz (#231 <https://github.com/locusrobotics/fuse/issues/231>)
    * Adding roslint dependency to fuse_viz
    * Silence CMP0048 warnings
  * Contributors: Tom Moore

 -- Stephen Williams <swilliams@locusrobotics.com>  Tue, 20 Jul 2021 07:00:00 -0000

ros-rolling-fuse-doc (0.4.1-2jammy) jammy; urgency=high

  * Changelogs
  * Add support for sphinx documentation (#228 <https://github.com/locusrobotics/fuse/issues/228>)
    * Adding tutorial for basic configuration
  * Contributors: Tom Moore
  * Add support for sphinx documentation (#228 <https://github.com/locusrobotics/fuse/issues/228>)
    * Adding tutorial for basic configuration
  * Contributors: Tom Moore

 -- Stephen Williams <swilliams@locusrobotics.com>  Tue, 13 Jul 2021 07:00:00 -0000

ros-rolling-fuse-doc (0.4.0-2jammy) jammy; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Fri, 12 Jul 2019 07:00:00 -0000

ros-rolling-fuse-doc (0.3.0-2jammy) jammy; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Mon, 18 Mar 2019 07:00:00 -0000

ros-rolling-fuse-doc (0.2.0-2jammy) jammy; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Wed, 16 Jan 2019 08:00:00 -0000

ros-rolling-fuse-doc (0.1.1-2jammy) jammy; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Wed, 15 Aug 2018 07:00:00 -0000

ros-rolling-fuse-doc (0.1.0-2jammy) jammy; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Sun, 12 Aug 2018 07:00:00 -0000

ros-rolling-fuse-doc (0.0.2-2jammy) jammy; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Mon, 16 Jul 2018 07:00:00 -0000

ros-rolling-fuse-doc (0.0.1-2jammy) jammy; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Thu, 05 Jul 2018 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-fuse-doc
Section: misc
Priority: optional
Maintainer: Stephen Williams <swilliams@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-fuse-doc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: The fuse_doc package provides documentation and examples for the fuse package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-fuse-doc//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
